#
# spec file for package perl-Test-NoTabs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-NoTabs
Version:        1.4
Release:        6.1
%define cpan_name Test-NoTabs
Summary:        Check the presence of tabs in your project
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-NoTabs/
Source:         http://www.cpan.org/authors/id/B/BO/BOBTFISH/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module scans your project/distribution for any perl files (scripts,
modules, etc) for the presence of tabs.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.4
  see /usr/share/doc/packages/perl-Test-NoTabs/Changes
  1.4 2015-01-29
  - Removed boilerplate section "EXPORT" from pod (RT #96937) (Prakash Kailasa)
  - Tightened checking for pod lines. (RT #95747) (Prakash Kailasa)
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.3
  - Fix to ignore inc/ for Module::Install
  - Fix regex to ignore '.svn', but not 'Xsvn' - unescaped .
* Thu Aug 25 2011 chris@computersalat.de
- fix deps
- no auto_install
* Mon May 23 2011 coolo@novell.com
- updated to 1.1
  - Fix test fails if cwd or perl has a space in its path RT#67376
* Sat Jan 22 2011 coolo@novell.com
- initial package 1.0
  * created by cpanspec 1.78.03
